Extending Qt Creator Manual | SourceLocation

Extending Qt Creator Manual 4.7.1

# SourceLocation Class

(QmlJS::AST::SourceLocation)

- List of all members, including inherited members

## Public Functions

| SourceLocation(int offset = 0, int length = 0, int line = 0, int column = 0)
int | begin() const
int | end() const
bool | isValid() const

## Member Function Documentation

### SourceLocation::SourceLocation(int offset = 0, int length = 0, int line = 0, int column = 0)

Default constructs an instance of SourceLocation.

### int SourceLocation::begin() const

### int SourceLocation::end() const

### bool SourceLocation::isValid() const